package entity

import "time"

type AboutUsContentImage struct {
	ID                 uint      `json:"id" gorm:"primaryKey;type:int4;autoIncrement"`
	AboutUsContentID   uint      `json:"about_us_content_id" gorm:"type:int4;not null"`
	MediaPath          string    `json:"media_path" gorm:"type:varchar(255)"`
	MediaType          string    `json:"media_type" gorm:"type:varchar(100)"`
	MediaURL           string    `json:"media_url" gorm:"type:text"`
	CreatedAt          time.Time `json:"created_at" gorm:"default:now()"`
	UpdatedAt          time.Time `json:"updated_at" gorm:"default:now()"`

	AboutUsContent AboutUsContent `json:"-" gorm:"foreignKey:AboutUsContentID"`
}

func (AboutUsContentImage) TableName() string {
	return "about_us_content_images"
}